// This program is created for LPC-2214-MT board
// Shows how to works with LCD display and buttons
// Button 1 - Turn on light
// Button 2 - Turn off light

#include "system.h"
#include "lcd.h"
#include "buttons.h"

void DelayS (unsigned long a) { while (--a!=0); }

int main()
{
  /**** INITIALIZATION ****/
  // Frequency initialization
  FrecInit();

  // LCD initialization
  LCDInit();                    //LCD Initialization
  LCDSendCommand(DISP_ON);      //LCD on
  LCDSendCommand(CLR_DISP);     //LCD clear
  LCDSendCommand(DD_RAM_ADDR);  //LCD set first row


  // Write to LCD
  LCDSendTxt(" www.olimex.com ");

  // loop forever
  while(1) {

    if(!BUT1_PRESSED) Light(1);
    if(!BUT2_PRESSED) Light(0);

  }

}
